-- D_DTSX 20180511
-- Esegue l'allineamento sulla SEIReport.
-- Sostituisce la srv_change_codfiscaleMassiva_CU della SEIReport, per poter eseguire l'allineamento direttamente dalla 203.
-- Richiama la nuova stored procedure sp_change_codfiscale_SEIReport, che sostituisce la sp_change_codfiscale su SEIReport.
CREATE PROCEDURE [dbo].[srv_change_codfiscaleMassiva_CU_SEIReport]
AS
BEGIN
	DECLARE @Vecchio varchar(16)
	DECLARE @Nuovo varchar(16)
	--DECLARE @UltimaData varchar(8)
	--SELECT @UltimaData = MAX(convert(varchar(8), DataOperazione, 112)) FROM [10.10.32.203].C6StampeCentralizzate.dbo.RicodificaMassiva
	DECLARE Ricodifica_cursor CURSOR FOR
--	SELECT Vecchio, Nuovo FROM [10.10.32.203].C6StampeCentralizzate.dbo.RicodificaMassiva
--	WHERE DataOperazione > @UltimaData
	SELECT CF_OLD, CF_NEW FROM RICODIF_CF_PIVA_CU
	ORDER BY DTINSERIMENTO
	OPEN Ricodifica_cursor
	FETCH NEXT FROM Ricodifica_cursor
	INTO @Vecchio, @Nuovo
	WHILE @@FETCH_STATUS = 0
	BEGIN
		EXEC dbo.[sp_change_codfiscale_SEIReport] @Nuovo, @Vecchio
		FETCH NEXT FROM Ricodifica_cursor
		INTO @Vecchio, @Nuovo
	END
	CLOSE Ricodifica_cursor
	DEALLOCATE Ricodifica_cursor
END